Package org.eclipse.rdf4j.query.algebra.evaluation.function.xsd

## Class LongCast

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.function.xsd.CastFunction
  - - org.eclipse.rdf4j.query.algebra.evaluation.function.xsd.IntegerCastFunction
    - - org.eclipse.rdf4j.query.algebra.evaluation.function.xsd.LongCast

- All Implemented Interfaces:
    `Function`

      public class LongCast
      extends IntegerCastFunction

  A `IntegerCastFunction` that tries to cast its argument to an xsd:long .
  Author:
    Jeen Broekstra

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LongCast()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Optional<Literal>` | `createTypedLiteral​(ValueFactory vf, BigInteger integerValue)` | create a `Literal` with the specific datatype for the supplied `BigInteger` value.
    `protected IRI` | `getXsdDatatype()` | Get the specific XML Schema datatype which this function returns.
    `protected boolean` | `isValidForDatatype​(String lexicalValue)` | Verifies that the supplied lexical value is valid for the datatype.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.function.xsd.IntegerCastFunction

      `convert, createTypedLiteral`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.function.xsd.CastFunction

      `evaluate, getURI, getXsdName, typeError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.function.Function

      `evaluate, mustReturnDifferentResult`

- - ### Constructor Detail

    - #### LongCast

          public LongCast()

  - ### Method Detail

    - #### getXsdDatatype

          protected IRI getXsdDatatype()

      Description copied from class: `CastFunction`
      Get the specific XML Schema datatype which this function returns.
      Specified by:
        `getXsdDatatype` in class `CastFunction`
      Returns:
        an XML Schema datatype IRI

    - #### isValidForDatatype

          protected boolean isValidForDatatype​(String lexicalValue)

      Description copied from class: `CastFunction`
      Verifies that the supplied lexical value is valid for the datatype.
      Specified by:
        `isValidForDatatype` in class `CastFunction`
      Parameters:
        `lexicalValue` - a lexical value
      Returns:
        true if the lexical value is valid for the datatype, false otherwise.

    - #### createTypedLiteral

          protected Optional<Literal> createTypedLiteral​(ValueFactory vf,
                                                         BigInteger integerValue)
                                                  throws ArithmeticException

      Description copied from class: `IntegerCastFunction`
      create a `Literal` with the specific datatype for the supplied `BigInteger` value.
      Specified by:
        `createTypedLiteral` in class `IntegerCastFunction`
      Parameters:
        `vf` - the `ValueFactory` to use for creating the `Literal`
        `integerValue` - the integer value to use for creating the `Literal`
      Returns:
        an `Optional` literal value, which may be empty if the supplied integerValue can not be successfully converted to the specific datatype.
      Throws:
        `ArithmeticException` - if an error occurs when attempting to convert the supplied value to a value of the specific datatype.